aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJunio C Hamano <gitster@pobox.com>2008-08-11 19:24:28 -0700
committerJunio C Hamano <gitster@pobox.com>2008-08-11 19:24:28 -0700
commit7e4ad908721445b073f3b4ecad55bbd78f032cdc (patch)
tree3eabb87f35eec012919a8fbd2a050a5ba8e44c72
parentd777af86d84f73be50e922b84144d959475ed770 (diff)
parente5d3afd78be54fc6e958c7ebad178593fd030441 (diff)
downloadgit-7e4ad908721445b073f3b4ecad55bbd78f032cdc.tar.gz
git-7e4ad908721445b073f3b4ecad55bbd78f032cdc.tar.xz
Merge branch 'maint'
* maint: git-bisect: fix wrong usage of read(1)
-rwxr-xr-xgit-bisect.sh3
1 files changed, 2 insertions, 1 deletions
diff --git a/git-bisect.sh b/git-bisect.sh
index 3cac20db7..97ac60087 100755
--- a/git-bisect.sh
+++ b/git-bisect.sh
@@ -220,7 +220,8 @@ bisect_next_check() {
if test -t 0
then
printf >&2 'Are you sure [Y/n]? '
- case "$(read yesno)" in [Nn]*) exit 1 ;; esac
+ read yesno
+ case "$yesno" in [Nn]*) exit 1 ;; esac
fi
: bisect without good...
;;